Package com.independentsoft.office.odf.styles

# Enum Class TextAreaHorizontalAlignment

java.lang.Object
java.lang.Enum<TextAreaHorizontalAlignment>
com.independentsoft.office.odf.styles.TextAreaHorizontalAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<TextAreaHorizontalAlignment>`, `Constable`

public enum TextAreaHorizontalAlignment extends Enum<TextAreaHorizontalAlignment>
Represents the horizontal alignment of the text area inside a shape.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  Text area is centered horizontally inside a shape.
  `JUSTIFY`
  Text area is justified horizontally inside a shape.
  `LEFT`
  Text area is left aligned horizontally inside a shape.
  `NONE`
  None.
  `RIGHT`
  Text area is right aligned horizontally inside a shape.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextAreaHorizontalAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextAreaHorizontalAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final TextAreaHorizontalAlignment LEFT
    Text area is left aligned horizontally inside a shape.

  - ### CENTER

    public static final TextAreaHorizontalAlignment CENTER
    Text area is centered horizontally inside a shape.

  - ### RIGHT

    public static final TextAreaHorizontalAlignment RIGHT
    Text area is right aligned horizontally inside a shape.

  - ### JUSTIFY

    public static final TextAreaHorizontalAlignment JUSTIFY
    Text area is justified horizontally inside a shape.

  - ### NONE

    public static final TextAreaHorizontalAlignment NONE
    None.

- ## Method Details

  - ### values

    public static TextAreaHorizontalAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextAreaHorizontalAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null